
import 'taro-ui/dist/style/index.scss'
import React, { Component, useEffect } from 'react'
import { Provider } from 'react-redux'
import configStore from './store'
import useUser from './store/user'
import { getCode, setCode } from './util/getCode'
import getCodeUrl from './util/getCodeUrl' 
import request from './util/request'
import './app.scss'

const store = configStore()

const App = (props)=> {
  const {user, getUser} = useUser()
  const code = getCode()

  useEffect(() => {
    // if (!user || !user.userId) {
    //   if (!code) {
    //     // 跳转
    //     window.location.href=getCodeUrl(); 
    //   } else {
    //     // 请求 user
    //     getUser(code)
    //   }
    // }

    // return () => setCode(code)

  }, [])

// console.log(getCodeUrl(),'getCodeUrl')

// window.location.href=getCodeUrl(); 

  // 在 App 类中的 render() 函数没有实际作用
  // 请勿修改此函数
 
    return (
      <Provider store={store}>
        {props.children}
      </Provider>
    )
  
}

export default App

